<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqCentroTrabajo"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevoCentroTrabajo"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="w83bsector" type="java.lang.String" />
				<form-property name="w83bregJur" type="java.lang.String" />
				<form-property name="w83bmotivoBaja" type="java.lang.String" />
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.agrupaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.agrupaciones.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantallaCentroTrabajo" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizadaCentroTrabajoTemp" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaCentroTrabajo" type="java.lang.String" initial="false"/>	
				<form-property name="modoPantallaCentroTrabajoTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="mapa" type="java.util.HashMap"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.agrupacion"/>								
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoNuevoCompletoBean" type="w83b.w83bBeans.W83bCentroTrabajoCompletoBean"/>
				<form-property name="w83bCentroTrabajoTempBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoNuevoTempBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bListaCentroTrabajo" type="java.util.List"/>				
				<form-property name="w83bListaCod" type="java.util.List"/>				
				<form-property name="w83bListaConvenio" type="java.util.List"/>
				
				<form-property name="w83bContarCentroTrabajo" type="java.lang.Integer"/>
								
				<form-property name="subOpFlag" type="java.lang.String" initial="agrupaciones"/>
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="w83bsector" type="java.lang.String" />
				<form-property name="w83bregJur" type="java.lang.String" />
				<form-property name="w83bmotivoBaja" type="java.lang.String" />
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				
				<form-property name="resultadoHash" type="java.util.HashMap"/>	
				<form-property name="listaCNAE" type="java.util.List"/>	
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83bInicioNuevoCentroTrabajo" forward="paginaNuevoCentroTrabajo"/>
		
		<!--	DISPATCHES-->
		
		
		<!-- Operaciones de Paso -->
		<action path="/w83bInicioBusquedaCentroTrabajo" 
			 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bInicioBusquedaCentroTrabajoAction" 
			 validate="false">
		</action>	
		<action path="/w83bVolverDeCentroTrabajo" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bVolverCentroTrabajoAction" 
			 validate="false">
			<forward name="ok" path="/w83bSubOpCentroTrabajoEnd.do"/>
			<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do"/>
		</action>
		<action path="/w83bTablaCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bTablaCentroTrabajoOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqCentroTrabajo.do"/>
			<forward name="ok" path="/w83bTablaCentroTrabajoOutOP.do"/>
			<forward name="outOP" path="/w83bTablaCentroTrabajoOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do"/>
		</action>
		
		<action path="/w83bTablaCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bTablaCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
			
		<action path="/w83bNuevoCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bNuevoCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bNuevoCentroTrabajo.do"/>
			<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do"/>
		</action>
		
		<action path="/w83bNuevoCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bNuevoCentroTrabajoOutOPAction" 
			 validate="false">
		</action>	
		<action path="/w83bSeleccionarCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bSeleccionarCentroTrabajoOPAction" 
			 validate="false">
		</action>
		<action path="/w83bContarCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bContarCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bContarCentroTrabajo.do"/>
		</action>
		<action path="/w83bContarCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bContarCentroTrabajoOutOPAction" 
			 validate="false">
		</action>	
		<action path="/w83bCargarCnaeOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCnae.do"/>
		</action>
		<action path="/w83bCargarCnaeOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoCentroTrabajo.do"/>
		</action>	
		<action path="/w83bCargarCnaeCodigoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeCodigoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCnaeCodigo.do"/>
		</action>
		<action path="/w83bCargarCnaeCodigoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeCodigoOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoCentroTrabajo.do"/>
		</action>	
		
		<action path="/w83bDescComarcaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bDescComarcaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDescComarca.do"/>
		</action>
		<action path="/w83bDescComarcaOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bDescComarcaOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bDetalleCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bDetalleCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDetalleCentroTrabajo.do"/>
		</action>
		<action path="/w83bDetalleCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bDetalleCentroTrabajoOutOPAction" 
			 validate="false">
		</action>	
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->	
		 <action path ="/w83bBusqCentroTrabajo" 
			 parameter="w83bBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do" />
		</action>
		
		 <action path ="/w83bContarCentroTrabajo" 
			 parameter="w83bContarCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bContarCentroTrabajoOutOP.do" />
					
		</action>
		
		 <action path ="/w83bDescComarca" 
			 parameter="W83bDescComarcaOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDescComarcaOutOP.do" />					
		</action>
		
		 <action path ="/w83bCargarCnae" 
			 parameter="W83bCargarCnaeOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCnaeOutOP.do" />					
		</action>
		
		 <action path ="/w83bCargarCnaeCodigo" 
			 parameter="W83bCargarCnaeCodigoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCnaeCodigoOutOP.do" />					
		</action>
		
		 <action path ="/w83bNuevoCentroTrabajo" 
			 parameter="W83bNuevoCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bNuevoCentroTrabajoOutOP.do" />					
		</action>
		
		 <action path ="/w83bDetalleCentroTrabajo" 
			 parameter="W83bDetalleCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDetalleCentroTrabajoOutOP.do" />					
		</action>
   		
		<!-- Fin Operaciones Internas -->	
				<!-- SUB-OPERACIONES -->
		<action path="/w83bSubOpCentroTrabajoInit" forward="/w83bInicioBusquedaCentroTrabajo.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83bSubOpCentroTrabajoEnd" forward="/w83bSubOpCentroTrabajoInit.do">
			<set-property property="subOp" value="end" />
		</action>

		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-agrupaciones.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>